import { hsTrackJPOST } from '../fetchApi'

import type {
  CTIBaseOptions,
  ctiManualCallParams,
  ctiManualHangParams,
  ctiListenParams,
  ctiLoadAgentGroupsParams,
  ctiSetActiveServiceParams
} from './ctiSdkModel'
// 获取初始化配置
const baseUrl = ''

export const getInitConf = (data: CTIBaseOptions) => {
  return hsTrackJPOST({
    baseUrl,
    url: '/api/cti/biz/open/agent/get-init-config',
    data
  })
}

// 坐席签入
export const agentCheckIn = (data: CTIBaseOptions) => {
  return hsTrackJPOST({
    baseUrl,
    url: '/api/cti/biz/open/agent/check-in',
    data
  })
}

// 坐席签出
export const agentCheckOut = (data: CTIBaseOptions) => {
  return hsTrackJPOST({
    baseUrl,
    url: '/api/cti/biz/open/agent/check-out',
    data
  })
}

// 坐席置闲
export const agentSetIdle = (data: CTIBaseOptions) => {
  return hsTrackJPOST({ baseUrl, url: '/api/cti/biz/open/agent/idle', data })
}

// 坐席置忙
export const agentSetBusy = (data: CTIBaseOptions) => {
  return hsTrackJPOST({ baseUrl, url: '/api/cti/biz/open/agent/busy', data })
}

// 获取坐席状态
export const getAgentStatus = (data: CTIBaseOptions) => {
  return hsTrackJPOST({
    baseUrl,
    url: '/api/cti/biz/open/agent/agent-state',
    data
  })
}

// 外呼
export const manualCall = (data: ctiManualCallParams) => {
  return hsTrackJPOST({
    baseUrl,
    url: '/api/cti/biz/open/agent/manual-call',
    data
  })
}

// 挂断
export const manualHang = (data: ctiManualHangParams) => {
  return hsTrackJPOST({
    baseUrl,
    url: '/api/cti/biz/open/agent/manual-hang',
    data
  })
}

// 发起监听
export const listen = (data: ctiListenParams) => {
  return hsTrackJPOST({ baseUrl, url: '/api/cti/biz/open/agent/listen', data })
}

// 获取监控组成员信息
export const loadAgentGroupData = (data: ctiLoadAgentGroupsParams) => {
  return hsTrackJPOST({
    baseUrl,
    url: '/api/cti/biz/open/monitor/load-agent-group-data',
    data
  })
}

// 机器人外呼-签入人工组
export const setActiveServiceTask = (data: ctiSetActiveServiceParams) => {
  return hsTrackJPOST({
    baseUrl,
    url: '/api/cti/biz/open/human-service/member-active',
    data
  })
}

// 获取 cti 流程 ID
export const getCtiFlowId = (data: CTIBaseOptions) => {
  return hsTrackJPOST({ baseUrl, url: '/api/cti/biz/open/num/generate', data })
}
