export interface CTIBaseOptions {
  agentId: string
  vccId?: string
  password: string
  scene: string
  ctiFlowId?: string
  monitorScene?: string
}

export interface InitOptions {
  // 租户隔离
  vccId: string
  // 坐席 ID
  agentId: string
  // 账户隔离
  appCode: string
  // 分机号
  phoneNum: string
  // 分机密码
  phonePwd: string
  // sip 服务地址
  sipServer: string
  // sip wss 服务地址
  wssServer: string
  // sip 通路服务地址
  iceServer: string
  // IM 心跳间隔
  imHeartTime: number
  // IM 重试次数
  imRetryCount: number
  // FS 心跳间隔
  fsHeartTime: number
  // FS 重试次数
  fsRetryCount: number
  // FS 重试间隔时间
  fsRetryTime: number
  // FS 注册过期时间
  fsRegisterExpireTime: number
  // 单次初始化唯一 ID
  ctiSessionId: string
  // IM websocket url
  imWsServer: string
  // IM websocket path
  imWsPath: string
}

export interface CTIManualCallOptions {
  called: string
  ext?: object
}

export type ctiManualCallParams = CTIBaseOptions & CTIManualCallOptions

export interface ctiManualHangParams extends CTIBaseOptions {
  callId: string
}

export interface ctiListenParams extends CTIBaseOptions {
  leaderAgentId: string
}

export interface ctiLoadAgentGroupsParams extends CTIBaseOptions {
  monitorIds: string[]
}

export interface ctiSetActiveServiceParams extends CTIBaseOptions {
  serviceId: string
}
