import { LoggerLevels } from '../Logger'
import type { ENV } from './outputType'

export enum BaseOption {
  TrackParams = 'trackParams',
  ENV = 'env',
  LoggerLevel = 'loggerLevel'
}

const items = [
  [BaseOption.TrackParams, {}],
  [BaseOption.ENV, 'test'],
  [BaseOption.LoggerLevel, LoggerLevels.debug]
]

const baseOption = new Map()
export const resetBaseOption = () => {
  items.forEach((i, v) => baseOption.set(i, v))
}
resetBaseOption()

export const setBaseOption = (
  key: BaseOption,
  value: object | ENV | LoggerLevels,
  isInit: boolean = false
) => {
  if (!isInit && typeof value === 'object') {
    baseOption.set(key, {
      ...baseOption.get(key),
      ...value
    })
  } else {
    baseOption.set(key, value)
  }
}

export const getBaseOption = (key: BaseOption) => {
  return baseOption.get(key)
}
export const generateUUID = () => {
  return 'xxxxxxxxxxxx4xxx-yxxx-xxxxxxxxxxxx'
    .replace(/[xy]/g, function (c) {
      const r = (Math.random() * 16) | 0
      const v = c === 'x' ? r : (r & 0x3) | 0x8
      return v.toString(16)
    })
    .replace(/-/g, '')
}

export const getClientId = () => {
  if (!window.HS_CTI_CLIENT_ID) {
    window.HS_CTI_CLIENT_ID = generateUUID()
  }
  return window.HS_CTI_CLIENT_ID
}
