/** 将小驼峰式字符串转换为小写下划线格式
 * @param {string}
 * @returns {string}
 */
export function upperCamelToLowerSnake(s: string): string {
  s = s.replace(/\s/g, '')
  s = s.replace(/([A-Z])/g, '_$1')
  s = s.toLowerCase()
  s = s.replace(/^_/, '')
  s = s.replace(/_$/, '')
  return s
}
/**
 * 获取时间戳字符串
 * @returns {string} 年-月-日 时:分:秒.毫秒
 */
export const getDateTime = () => {
  const timestamp = Date.now()
  const date = new Date(timestamp)

  const year = date.getFullYear()
  const month = String(date.getMonth() + 1).padStart(2, '0')
  const day = String(date.getDate()).padStart(2, '0')
  const hours = String(date.getHours()).padStart(2, '0')
  const minutes = String(date.getMinutes()).padStart(2, '0')
  const seconds = String(date.getSeconds()).padStart(2, '0')
  const milliseconds = String(date.getMilliseconds()).padStart(3, '0')
  const formattedDateTime = `${year}-${month}-${day} ${hours}:${minutes}:${seconds}.${milliseconds}`
  return formattedDateTime
}
